typedef struct {
  uint32_t magic;
  char confUser[16];
  char confPasswd[16];
  char wifiSsid[32];
  char wifiKey[64];
  char mqttBroker[32];
  char mqttUser[32];
  char mqttPass[32];
  char mqttClientId[32];
  uint32_t mqttPort;
  char mqttTopicColorCommand[64];
  char mqttTopicCommand[64];
  char mqttDebugTopic[64];
  uint32_t debugMode;
} tConfigBlock;

extern const uint32_t MAGIC;
extern tConfigBlock configBlock;
extern const char* CONFIG_SSID;

void configServeIndex();
void configServeGetConfiguration();
void showConfiguration();